## ros-indigo-husky-description 0.2.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(husky_description)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()
catkin_add_env_hooks(50.husky_description
  SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

roslaunch_add_file_check(launch)

install(
  DIRECTORY launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-husky-description (0.2.8-0trusty) trusty; urgency=high

  * Added a large top plate (used for waterproofing upgrade and UR5 upgrade) and an environment variable for controlling it HUSKY_LARGE_TOP_PLATE
  * Moved URDF_EXTRAS into the macro where it belongs
  * Added environment variables to enabled or disabled the bumpers and the user rail
  * Added urdf_extras so husky is consistent to our other platforms
  * Changed the wheel radius to reflect 13 inch outdoor Husky tire
  * [husky_description] Updated intertial parameters.
  * wheel.urdf.xacro: swap iyy, izz inertias
    Fixes #34 <https://github.com/husky/husky/issues/34>.
  * Contributors: Dave Niewinski, Martin Cote, Steven Peters, Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-indigo-husky-description (0.2.7-0trusty) trusty; urgency=high

  * Fixed indent.
  * Added Sick LMS1XX URDF.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 31 Dec 2015 05:00:00 -0000

ros-indigo-husky-description (0.2.6-0trusty) trusty; urgency=high

  * Adjust Kinect angle so it doesn't hit top plate
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 08 Jul 2015 04:00:00 -0000

ros-indigo-husky-description (0.2.5-0trusty) trusty; urgency=high

  * Add standard mount for lms1xx
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 16 Apr 2015 04:00:00 -0000

ros-indigo-husky-description (0.2.4-0trusty) trusty; urgency=high

  * Add argument to enable/disable top plate
  * Fix sensor arch name
  * Fix conflict with underlay
    When using -z check, underlayed instances of husky_gazebo would override overlays.
  * Update top plate model
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 13 Apr 2015 04:00:00 -0000

ros-indigo-husky-description (0.2.3-0trusty) trusty; urgency=high

  * Integrate husky_customization workflow
  * Disable all accessories by default
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-indigo-husky-description (0.2.2-0trusty) trusty; urgency=high

  * Fix package urls
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-description (0.2.1-0trusty) trusty; urgency=high

  * Port *.stl to *.dae format, removing material/gazebo colours
  * Make base_footprint a child of base_link
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-description (0.2.0-0trusty) trusty; urgency=high

  * Add Kinect, UR5 peripherals
  * Contributors: Paul Bovbel, Devon Ash

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-description (0.1.2-0trusty) trusty; urgency=high

  * Update maintainers and description
  * Get rid of chassis_link, switch to base_footprint and base_link
  * Switch to NED orientation for UM6 standard package
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 30 Jan 2015 05:00:00 -0000

ros-indigo-husky-description (0.1.1-0trusty) trusty; urgency=high

  * Remove multirobot changes, experiment later
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 14 Jan 2015 05:00:00 -0000

ros-indigo-husky-description (0.1.0-0trusty) trusty; urgency=high

  * Major refactor for indigo release:
    * base_link is now located on the ground plane, while chassis_link
    * refactored joint names for consistency with Jackal and Grizzly for ros_control
    * moved plugins requiring gazebo dependencies to husky_gazebo (imu, gps, lidar, ros_control)
    * initial prefixing for multirobot
  * Contributors: Alex Bencz, James Servos, Mike Purvis, Paul Bovbel, Prasenjit Mukherjee, y22ma

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Tue, 13 Jan 2015 05:00:00 -0000

ros-indigo-husky-description (0.0.2-0trusty) trusty; urgency=high

  * Renamed /models folder to /meshes to follow the convention of other gazebo simulation packages.
  * Changed the base.urdf.xacro to use base_footprint as the parent frame. For some reason, the new Gazebo paints all parts the same color as base_link when base_link is the parent.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 30 Sep 2013 04:00:00 -0000

ros-indigo-husky-description (0.0.1-0trusty) trusty; urgency=high

  * Move to model-only launchfile.
  * Catkinize package, add install targets.
  * husky_description moved up to repository root.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 11 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-husky-description
Section: misc
Priority: extra
Maintainer: Paul Bovbel <pbovbel@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/husky_description
Standards-Version: 3.9.2

Package: ros-indigo-husky-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-lms1xx, ros-indigo-robot-state-publisher, ros-indigo-ur-description, ros-indigo-urdf, ros-indigo-xacro
Description: Clearpath Husky URDF description

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-husky-description//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
